export default {

  GET:         'SERVER:ASSET_GET',
  GET_SUCCESS: 'ASSET_GET_SUCCESS',
  GET_FAILURE: 'ASSET_GET_FAILURE',

  REMOVE:         'SERVER:ASSET_REMOVE',
  REMOVE_SUCCESS: 'ASSET_REMOVE_SUCCESS',
  REMOVE_FAILURE: 'ASSET_REMOVE_FAILURE',

  GET_ID:         'SERVER:ASSET_GET_ID',
  GET_ID_SUCCESS: 'ASSET_GET_ID_SUCCESS',
  GET_ID_FAILURE: 'ASSET_GET_ID_FAILURE',

  SET_FILTER: 'ASSET_SET_FILTER',
  RESET_FILTER: 'ASSET_RESET_FILTER',
  VALIDATION: 'ASSET_VALIDATION',
  ATTACH: 'ASSET_ATTACH',
  REMOVE_FILE: 'ASSET_REMOVE_FILE',
  

  CREATE:         'SERVER:ASSET_CREATE',
  CREATE_SUCCESS: 'ASSET_CREATE_SUCCESS',
  CREATE_FAILURE: 'ASSET_CREATE_FAILURE', 

  UPLOAD:         'SERVER:ASSET_UPLOAD',
  UPLOAD_SUCCESS: 'ASSET_UPLOAD_SUCCESS',
  UPLOAD_FAILURE: 'ASSET_UPLOAD_FAILURE', 

  ASSET_SEARCH:         'SERVER:ASSET_SEARCH',
  ASSET_SEARCH_SUCCESS: 'ASSET_SEARCH_SUCCESS',
  ASSET_SEARCH_FAILURE: 'ASSET_SEARCH_FAILURE', 

  ASSET_SEARCH_SELECT: 'ASSET_SEARCH_SELECT',
  ASSET_SEARCH_SELECT_RESET: 'ASSET_SEARCH_SELECT_RESET',

  ASSET_EDIT: 'ASSET_EDIT',
  ASSET_UPDATE:         'SERVER:ASSET_UPDATE',
  ASSET_UPDATE_SUCCESS: 'ASSET_UPDATE_SUCCESS',
  ASSET_UPDATE_FAILURE: 'ASSET_UPDATE_FAILURE', 
  
  EDIT_FILE:         'SERVER:EDIT_FILE',
  EDIT_FILE_SUCCESS: 'EDIT_FILE_SUCCESS',
  EDIT_FILE_FAILURE: 'EDIT_FILE_FAILURE', 

  DOWNLOAD_FILE:         'SERVER:DOWNLOAD_FILE',
  DOWNLOAD_FILE_SUCCESS: 'DOWNLOAD_FILE_SUCCESS',
  DOWNLOAD_FILE_FAILURE: 'DOWNLOAD_FILE_FAILURE',   
}
